<?php

defined( 'ABSPATH' ) || exit;


/**
 * Register all the block assets so that they can be enqueued through the block editor
 * in the corresponding context
 */
add_action( 'init', 'radio_player_register_block' );
function radio_player_register_block() {

	// If block editor is not active, bail.
	if ( ! function_exists( 'register_block_type' ) ) {
		return;
	}

	/**
	 * Frontend Scripts
	 */
	wp_register_style( 'radio-player-editor', RADIO_PLAYER_ASSETS . '/css/frontend.css', array( 'dashicons' ), RADIO_PLAYER_VERSION, 'all' );

	// Register the block editor scripts
	wp_register_script( 'radio-player-editor-script',
		plugins_url( 'build/index.js', __FILE__ ),
		array( 'wp-blocks', 'wp-i18n', 'wp-element', 'wp-editor' ),
		filemtime( plugin_dir_path( __FILE__ ) . 'build/index.js' ) );

	// Register the block editor styles
	//wp_register_style( 'radio-player-editor-style', plugins_url( 'build/editor.css', __FILE__ ), [ 'radio-player-editor' ] );

	// register block
	register_block_type( 'radio-player/radio-player', [
		'editor_script' => [ 'radio-player-editor-script' ],
		'editor_style'  => 'radio-player-editor',
	] );


	if ( function_exists( 'wp_set_script_translations' ) ) {
		/**
		 * Adds internalization support
		 */
		wp_set_script_translations( 'radio-player-editor-script', 'radio-player' );
	}
}