<?php

use Elementor\Controls_Manager;

defined( 'ABSPATH' ) || exit();

if ( ! class_exists( 'Radio_Player_Elementor_Widget' ) ) {
	class Radio_Player_Elementor_Widget extends \Elementor\Widget_Base {

		public function get_name() {
			return 'radio_player';
		}

		public function get_title() {
			return __( 'Radio Player', 'radio-player' );
		}

		public function get_icon() {
			return 'eicon-play';
		}

		public function get_categories() {
			return [ 'basic' ];
		}

		public function get_keywords() {
			return [ 'audio', 'radio', 'music', 'radio-player', 'radio player' ];
		}

		public function _register_controls() {

			$this->start_controls_section( '_section_radio_player',
				[
					'label' => __( 'Radio Player', 'radio-player' ),
					'tab'   => Controls_Manager::TAB_CONTENT,
				] );


			$this->add_control( 'player_id',
				[
					'label'       => __( 'Select Player', 'radio-player' ),
					'type'        => Controls_Manager::SELECT,
					'label_block' => true,
					'default'     => 0,
					'options'     => [ 0 => __( 'Select Player', 'radio-player' ) ] + get_players_array(),
				] );


			$this->end_controls_section();
		}

		public function render() {
			$settings  = $this->get_settings_for_display();
			$player_id = $settings['player_id'];

			if ( empty( $player_id ) ) {
				echo '<p style="padding: 20px;border: 1px solid #ddd;margin: 20px;font-size: 1.5rem;font-weight: bold;border-radius: 0.3rem;text-align: center;">' . __( 'Please select a player.', 'radio-player' ) . '</p>';
			} else {
				echo do_shortcode( "[radio_player id='{$player_id}' player_type='shortcode' autoplay='off']" );
			}
		}

	}
}